Subject: bug#13324: Improvements to "dist" targets (was: Re: EXTRA_DIST, directories, tar --exclude-vcs)

From: [email-masked] (Karl Berry)
Date: Thu, 3 Jan 2013 00:57:08 GMT

That is already possible:
    <http://www.gnu.org/software/automake/manual/automake.html#The-dist-Hook>

I see.  Given this, I propose merely changing the definition of am__tar
to use variables.  Something like:

am__tar = $(TAR) $(TAR_OPTIONS) - "$$tardir"

where the actual definitions of TAR and TAR_OPTIONS remain as they are
now (except possibly always using -options, as I'm replying to
separately).  That would make it easy for people to change or add
anything they want to change, in various ways.

I'm not sure if "TAR" and "TAR_OPTIONS" would be the conventional
names; any names would do, as far as I'm concerned.

k